%define version	0.1.6.4
%define release	4mdk
%define name 	amavis-ng
%define	summary	Searches attachments and archives for malicious code

%{?!_with_milter:	%{expand: %%define with_milter 0}}
# To use it, do rpm [-ba|--rebuild] --with milter
%{?_with_milter:	%{expand: %%define with_milter 1}}

Summary:		%summary
Name: 			%name
Version:	 	%version
Release: 		%release
License: 		GPL
Group: 			Development/Perl
URL: 			http://www.gnu.org/directory/security/net/AMaViS.html
Source: 		%{name}-%{version}.tar.bz2
BuildRoot: 		%{_tmppath}/%{name}-%{version}-root/
BuildRequires:	perl-devel
Requires: 		perl
Requires:		perl-File-MMagic
Requires:		perl-Config-IniFiles
Requires:		perl-MIME-tools
Requires:		perl-Convert-TNEF
Requires:		perl-Convert-UUlib
Requires:		perl-Compress-Zlib
Requires:		perl-Archive-Tar
Requires:		perl-Archive-Zip
Requires:		smtpdaemon
BuildArch:		noarch

%description
AMaViS-ng is a modular rewrite of amavisd and amavis-perl. It scans email for
malicious code inside attachments and archive files, stopping delivery if
malicious code is found. It supports integration of several third-party virus
scanners and integrates nicely into several MTA setups. Unlike amavis-perl and
amavisd, there is no need for build-time configuration.

It is possible to compile milter module. If you rebuild package --with milter
option, amavis-ng-milter package is created too.

%if %with_milter
%package -n %{name}-milter
Group: 			Development/Perl
Summary:		Sendmail/milter client for amavis-ng
BuildRequires:	sendmail-devel
Requires:		%{name}-%{version}
Requires:		sendmail
#BuildArch:		%{_target_cpu}
%endif

%if %with_milter
%description -n %{name}-milter
Sendmail Milter interface for amavis-ng
%endif

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
%make

%if %with_milter
cd amavis-milter
%make
%endif

%install
rm -rf %buildroot
eval `perl '-V:installarchlib'`
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/amavis-ng
cp etc/amavis.conf $RPM_BUILD_ROOT%{_sysconfdir}/amavis-ng
mkdir -p $RPM_BUILD_ROOT/var/log/amavis-ng
mkdir -p $RPM_BUILD_ROOT/var/spool/amavis-ng/quarantine
mkdir -p $RPM_BUILD_ROOT/var/spool/amavis-ng/problems
mkdir -p $RPM_BUILD_ROOT/var/run/amavis-ng/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/amavis-ng
cp magic.mime $RPM_BUILD_ROOT%{_datadir}/amavis-ng

%if %with_milter
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
cp amavis-milter/amavis-milter $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
cp amavis-milter/amavis-milter.8 $RPM_BUILD_ROOT%{_mandir}/man8
%endif

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc COPYING doc/*
%dir %{_sysconfdir}/amavis-ng/
%config(noreplace) %{_sysconfdir}/amavis-ng/amavis.conf
%{_bindir}/*
%dir %attr(750,mail,mail) /var/log/amavis-ng/
%dir %attr(750,mail,mail) /var/spool/amavis-ng/
%dir %attr(750,mail,mail) /var/spool/amavis-ng/quarantine
%dir %attr(750,mail,mail) /var/spool/amavis-ng/problems
%dir %attr(755,mail,mail) /var/run/amavis-ng
%dir %{perl_vendorlib}/AMAVIS
%{perl_vendorlib}/AMAVIS/*
%{perl_vendorlib}/AMAVIS.pm
%dir %{_datadir}/amavis-ng
%{_datadir}/amavis-ng/magic.mime
%{_mandir}/man1/*

%if %with_milter
%files -n %{name}-milter
%defattr(-,root,root)
%{_sbindir}/amavis-milter
%{_mandir}/man8/*
%endif

%changelog
* Thu Aug 07 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.1.6.4-4mdk
- rebuild for new perl

* Sun Apr 27 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.1.6.4-3mdk
- add missing dirs into files section (mr. distlint)

* Sun Apr 20 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.1.6.4-2mdk
- added clausules for creating milter package, default disabled - thanks
  for detailed patch to Buchan Milne

* Wed Apr 17 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.1.6.4-1mdk
- new version
- fixed url, remove patch
- spec fixes
	- create log, spool (quarantine, problems) and run directories
	- packaging magic.mime file too
	- remove make test

* Thu Jul 11 2002 Pixel <pixel@mandrakesoft.com> 0.1.3-2mdk
- rebuild for perl 5.8.0

* Wed May  22 2002 Buchan Milne <bgmilne@cae.co.za> 0.1.3-1mdk
- Mandrake RPM
